Bug 1463092 - Review Request: python-vulture - Find Dead Code
Review Request: python-vulture - Find Dead Code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 02:28 EDT by Yatin Karel
Modified: 2017-07-14 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 10:50:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Yatin Karel 2017-06-20 02:28:13 EDT
Spec URL: https://github.com/karelyatin/vulture-distgit/raw/master/python-vulture.spec
SRPM URL: https://github.com/karelyatin/vulture-distgit/raw/master/python-vulture-0.14-1.fc25.src.rpm
Description: Vulture finds unused classes, functions and variables in your code. This helps you cleanup and find errors in your programs. If you run it on both your library and test suite you can find untested code.

Due to Python’s dynamic nature, static code analyzers like vulture are likely to miss some dead code. Also, code that is only called implicitly may be reported as unused. Nonetheless, vulture can be a very helpful tool for higher code quality.
Fedora Account System Username: ykarel
Comment 1 Yatin Karel 2017-06-20 02:29:42 EDT
Koji build successful: https://koji.fedoraproject.org/koji/taskinfo?taskID=20069350
Comment 3 Matthias Runge 2017-06-28 09:21:03 EDT
taking this for review
Comment 4 Chandan Kumar 2017-07-03 08:12:54 EDT
Hello Yatin,

Thanks for putting the package review. Except some rpmlint errors, Spec looks good.
Please fix wrong-script-interpreter and non-executable-script rpmlint errors.

Rpmlint
-------
Checking: python2-vulture-0.14-1.fc25.noarch.rpm
          python3-vulture-0.14-1.fc25.noarch.rpm
          python-vulture-0.14-1.fc25.src.rpm
python2-vulture.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/vulture.py /usr/bin/env python
python2-vulture.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vulture.py 644 /usr/bin/env python
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2.7
python2-vulture.noarch: W: no-manual-page-for-binary vulture
python3-vulture.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/vulture.py /usr/bin/env python
python3-vulture.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/vulture.py 644 /usr/bin/env python
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3.5
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3
3 packages and 0 specfiles checked; 4 errors, 5 warnings.

Rpmlint (installed packages)
----------------------------
python3-vulture.noarch: E: wrong-script-interpreter /usr/lib/python3.5/site-packages/vulture.py /usr/bin/env python
python3-vulture.noarch: E: non-executable-script /usr/lib/python3.5/site-packages/vulture.py 644 /usr/bin/env python
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3.5
python2-vulture.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/vulture.py /usr/bin/env python
python2-vulture.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/vulture.py 644 /usr/bin/env python
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2.7
python2-vulture.noarch: W: no-manual-page-for-binary vulture
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2
2 packages and 0 specfiles checked; 4 errors, 5 warnings.

Thanks,

Chandan Kumar
Comment 6 Matthias Runge 2017-07-04 03:11:19 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 19 files have
     unknown license. Detailed output of licensecheck in
     /home/mrunge/review/1463092-python-vulture/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-vulture , python3-vulture
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-vulture-0.14-1.fc27.noarch.rpm
          python3-vulture-0.14-1.fc27.noarch.rpm
          python-vulture-0.14-1.fc27.src.rpm
python2-vulture.noarch: W: no-manual-page-for-binary vulture
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2.7
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3.6
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3
python3-vulture.noarch: W: no-manual-page-for-binary vulture-3.6
python2-vulture.noarch: W: no-manual-page-for-binary vulture
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2
python2-vulture.noarch: W: no-manual-page-for-binary vulture-2.7
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python3-vulture (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-setuptools

python2-vulture (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-setuptools



Provides
--------
python3-vulture:
    python3-vulture
    python3.6dist(vulture)
    python3dist(vulture)

python2-vulture:
    python-vulture
    python2-vulture
    python2.7dist(vulture)
    python2dist(vulture)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/v/vulture/vulture-0.14.tar.gz :
  CHECKSUM(SHA256) this package     : 0e71fb39f4629ef8f84182176f0a43fd84346dd051795488e91af053aa2ee77c
  CHECKSUM(SHA256) upstream package : 0e71fb39f4629ef8f84182176f0a43fd84346dd051795488e91af053aa2ee77c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1463092
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


AWESOME, package approved.
Comment 7 Gwyn Ciesla 2017-07-04 17:26:45 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-vulture
Comment 8 Fedora Update System 2017-07-05 03:43:40 EDT
python-vulture-0.14-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1324e21d24
Comment 9 Fedora Update System 2017-07-05 08:08:18 EDT
python-vulture-0.14-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-58aeb3f51c
Comment 10 Fedora Update System 2017-07-05 08:11:30 EDT
python-vulture-0.14-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d2a635f970
Comment 11 Fedora Update System 2017-07-05 09:05:30 EDT
python-vulture-0.14-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b27afdb80
Comment 12 Fedora Update System 2017-07-05 09:15:31 EDT
python-vulture-0.14-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f151f810c
Comment 13 Fedora Update System 2017-07-05 14:49:44 EDT
python-vulture-0.14-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b27afdb80
Comment 14 Fedora Update System 2017-07-05 23:53:19 EDT
python-vulture-0.14-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f151f810c
Comment 15 Fedora Update System 2017-07-13 10:50:56 EDT
python-vulture-0.14-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-07-14 14:22:15 EDT
python-vulture-0.14-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.